using System;
using System.IO;
using MSjogren.Samples.ShellLink;

namespace Vytvoření_zástupce
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Vytvoření zástupce";

         // Jméno vytvářeného souboru zástupce
         string linkFileName = "c:\\eula.lnk";

         // Zjistíme cestu k souboru notepad.
         string path = Path.Combine(Environment.SystemDirectory, "notepad.exe");

         // Argumenty pro volání
         string arguments = Path.Combine(Environment.SystemDirectory, "eula.txt");

         // Vytvoření instance třídy ShellShortcut 
         ShellShortcut ssh = new ShellShortcut(linkFileName);

         // Inicializace objektu typu ShellShortcut
         ssh.Description = "Testovací zástupce"; // Popis
         ssh.WorkingDirectory = "c:\\";        // Pracovní adresář
         ssh.Path = path;                      // Cesta k souboru / adresáři
         ssh.Arguments = arguments;            // Parametry volání
         ssh.IconPath = linkFileName;          // Cesta k souboru s ikonou
         ssh.IconIndex = 0;                    // Index ikony

         try
         {
            // Uložení zástupce
            ssh.Save();

            Console.WriteLine("Hotovo");
         }
         catch (Exception ex)
         {
            Console.WriteLine("Chyba při vytváření zástupce: {0}",
               ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
